#
# spec file for package python-dns-lexicon
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


# See also http://en.opensuse.org/openSUSE:Specfile_guidelines

Name:           python-dns-lexicon
Version:        1.1.9
Release:        1.30
Summary:        Manipulate DNS records on various DNS providers in a standardized way
License:        MIT
Group:          Productivity/Networking/DNS/Utilities
Url:            https://github.com/AnalogJ/lexicon
Source0:        https://github.com/AnalogJ/lexicon/archive/v%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  fdupes
BuildRequires:  pkg-config
BuildRequires:  python-setuptools
BuildRequires:  pkgconfig(python) >= 2.6.6

Requires:       python-requests
Requires:       python-setuptools
Requires:       python-tldextract

%description
Lexicon provides a way to manipulate DNS records on multiple DNS providers
in a standardized way. Lexicon has a CLI but it can also be used as a
python library.

Lexicon was designed to be used in automation, specifically letsencrypt.

%prep
%setup -q -n lexicon-%{version}

# rpmlint
find -type f -name ".gitignore" -exec rm {} \;

%build
python setup.py build

# rpmlint
find -type f -name ".buildinfo" -exec rm {} \;

%install
python setup.py install -O1 --skip-build --prefix=%{_prefix} --root=%{buildroot}
%fdupes %{buildroot}

# Install cerbot plug-in
install -d %{buildroot}%{_usr}/lib/%{name}
install -m 0755 examples/letsencrypt.default.sh %{buildroot}%{_usr}/lib/%{name}/certbot.sh

%files
%defattr(-,root,root)
%{python_sitelib}/lexicon
%{python_sitelib}/dns_lexicon-*
%doc LICENSE README.md
%{_bindir}/lexicon
%{_usr}/lib/%{name}/

%changelog
* Sun Jul 31 2016 archie.cobbs@gmail.com
- Update to version 1.1.9
  + Add support for setting TTL, with default 60 minutes
  + Add Gandi support
  + Added luadns support
  + Added fdqn method
  + Added certbot plugin
- Add missing requirement for python-setuptools
* Sun Jun 19 2016 archie.cobbs@gmail.com
- Initial creation of package, version 1.1.6
